Skip to content

Retrieve product specs by slug (returns JSON-LD)

GET
/v1/specs/{slug}
slug
required
string
locale
string
Allowed values: en-US pt-PT

Optional locale. If absent, Accept-Language header is used.

Product specs in JSON-LD (schema.org ProductModel)

object
@context
required
string
Example
https://schema.org
@type
required
string
Example
ProductModel
name
required
string
sku
required
string
category
string
brand
required
object
@type
required
string
Example
Brand
name
required
string
gtin13
string
gtin14
string
mpn
string
additionalProperty
required
Array<object>
object
@type
required
string
Example
PropertyValue
name
required
string
value
required
string
unitCode
string
unitText
string
inLanguage
required
string

Invalid request (bad locale, etc.)

object
error
required
object
code
required
string
message
required
string

Unauthorized (when API_KEY is set on the server)

object
error
required
object
code
required
string
message
required
string

Product not found

object
error
required
object
code
required
string
message
required
string